<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>It Looks Back</Series>
  <Number>4</Number>
  <Web></Web>
  <Summary>A unique mash-up of hard-boiled detective noir and Lovecraftian horror. Chicago. The Roaring Twenties. When private detective Brennan O'Sullivan is hired to investigate the mysterious death of a reporter, he follows his only lead - a jagged, cryptic symbol – and this will put him on a trail that will lead him to nightmarish visions, ghastly murders, and unknown horrors lurking at the edges of reality. THIS ISSUE: Having come face to face with an ancient undying horror, Sully finds himself admitted into a mental hospital, his mind fractured. Can he drag himself from the grip of insanity in time to stop the shrieking madness that threatens everything, or is he too far gone?</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB635966]</Notes>
  <Writer>jsb  </Writer>
  <Penciller>jsb  </Penciller>
  <Publisher>Caliber Comics</Publisher>
  <Genre>Horror, Drama, Mystery</Genre>
  <PageCount>34</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation>TanCombs</ScanInformation>
  <Pages>
    <Page Image="0" ImageSize="1488113" ImageHeight="3056" ImageWidth="2125" ImageHash="a06e7b1fc638d6da271a5917c6c1cd56" />
    <Page Image="1" ImageSize="569022" ImageHeight="3056" ImageWidth="2125" ImageHash="a2267df06f8225e437ed2617eb5d046f" />
    <Page Image="2" ImageSize="1781156" ImageHeight="3056" ImageWidth="2125" ImageHash="f3fcf75731a78728352d01fa84bb0523" />
    <Page Image="3" ImageSize="1963219" ImageHeight="3056" ImageWidth="2125" ImageHash="caafa7ec460ebf1dbed39ad4fe646481" />
    <Page Image="4" ImageSize="2064862" ImageHeight="3056" ImageWidth="2125" ImageHash="956b64f3ec514675e0a613e3b68a97b9" />
    <Page Image="5" ImageSize="1742826" ImageHeight="3056" ImageWidth="2125" ImageHash="5ababe7db3e2b77ac3c79d67ae752233" />
    <Page Image="6" ImageSize="2009915" ImageHeight="3056" ImageWidth="2125" ImageHash="1a5885622e136e0cc72b34ed009c5d53" />
    <Page Image="7" ImageSize="2135895" ImageHeight="3056" ImageWidth="2125" ImageHash="479857b252447fdbacdbdc35711de65b" />
    <Page Image="8" ImageSize="1976728" ImageHeight="3056" ImageWidth="2125" ImageHash="042d3dbd3e155bfb528c891590d55c47" />
    <Page Image="9" ImageSize="2009564" ImageHeight="3056" ImageWidth="2125" ImageHash="36fe197deddc4a801a417133fea6df60" />
    <Page Image="10" ImageSize="1903334" ImageHeight="3056" ImageWidth="2125" ImageHash="c52372a579b5d856613fa413f04cd7d2" />
    <Page Image="11" ImageSize="1941039" ImageHeight="3056" ImageWidth="2125" ImageHash="6221b6d0c0281cb5465e5db897a5e965" />
    <Page Image="12" ImageSize="2096844" ImageHeight="3056" ImageWidth="2125" ImageHash="bbca2feaffed134f548922e64a343470" />
    <Page Image="13" ImageSize="1843069" ImageHeight="3056" ImageWidth="2125" ImageHash="9d8e4f71919465d523788ffa3156e063" />
    <Page Image="14" ImageSize="1799951" ImageHeight="3056" ImageWidth="2125" ImageHash="aafbc1ffdf49e7e8ea8a15a730896ed3" />
    <Page Image="15" ImageSize="1873055" ImageHeight="3056" ImageWidth="2125" ImageHash="6654a79cf134c9e28bf901bc433fa477" />
    <Page Image="16" ImageSize="1801420" ImageHeight="3056" ImageWidth="2125" ImageHash="2ed5dd9de98a322be50be794ddfcc73d" />
    <Page Image="17" ImageSize="1952994" ImageHeight="3056" ImageWidth="2125" ImageHash="f9bfd8b78653c3bd43b93a4c7ecf3297" />
    <Page Image="18" ImageSize="1763482" ImageHeight="3056" ImageWidth="2125" ImageHash="f7f2abe3e8a5a4b89da26d5972bcdd34" />
    <Page Image="19" ImageSize="2016407" ImageHeight="3056" ImageWidth="2125" ImageHash="74758f11f74c87f87b426e715c800878" />
    <Page Image="20" ImageSize="1733327" ImageHeight="3056" ImageWidth="2125" ImageHash="ecdfb51e0e326d8e3144cea9b28ee2b4" />
    <Page Image="21" ImageSize="1759327" ImageHeight="3056" ImageWidth="2125" ImageHash="91fb91b5e0586a70f0ef3cd1ceb53c10" />
    <Page Image="22" ImageSize="2130380" ImageHeight="3056" ImageWidth="2125" ImageHash="03e9e81e1afbbc4323b2616a3e1cf650" />
    <Page Image="23" ImageSize="1935344" ImageHeight="3056" ImageWidth="2125" ImageHash="401e9119f49f3e9d45a3039f9938fe75" />
    <Page Image="24" ImageSize="1999729" ImageHeight="3056" ImageWidth="2125" ImageHash="c2c2c79905b399e65a697873bf64d7c5" />
    <Page Image="25" ImageSize="2269489" ImageHeight="3056" ImageWidth="2125" ImageHash="9141cab05ef779158f46ed023d6bf58a" />
    <Page Image="26" ImageSize="1737968" ImageHeight="3056" ImageWidth="2125" ImageHash="749c01722aa2e841adf77d5d56813608" />
    <Page Image="27" ImageSize="1743134" ImageHeight="3056" ImageWidth="2125" ImageHash="275314b307c7c18d6f1309d5edd039a9" />
    <Page Image="28" ImageSize="1752785" ImageHeight="3056" ImageWidth="2125" ImageHash="be42fb735be0cf37f5ceec4c75bddb3a" />
    <Page Image="29" ImageSize="1883995" ImageHeight="3056" ImageWidth="2125" ImageHash="1947b84c34bb47e6a3856ba2b525c9b3" />
    <Page Image="30" ImageSize="1899149" ImageHeight="3056" ImageWidth="2125" ImageHash="b1fa83aed4d8f39c60d58427c37c8a81" />
    <Page Image="31" ImageSize="1994250" ImageHeight="3056" ImageWidth="2125" ImageHash="0eedf2560cd040f81552b725bdd1c5b9" />
    <Page Image="32" ImageSize="1888357" ImageHeight="3056" ImageWidth="2125" ImageHash="5a7281cbef25957ca33b8af4b4321b27" />
    <Page Image="33" ImageSize="872421" ImageHeight="3056" ImageWidth="2125" ImageHash="e061f8a0846b0f324e3c7ba4a006399a" />
  </Pages>
</ComicInfo>
